#!/bin/bash

set -e

build_tag="build-dev-$(date +%Y%m%d-%H%M)"
echo Build tag $build_tag

docker build --build-arg repo=dev --no-cache -t node:$build_tag .
#docker build -t node-dev:$build_tag .

docker tag node:$build_tag dev-registry.infoclinica.ru:5000/iru/node:$build_tag
docker tag node:$build_tag dev-registry.infoclinica.ru:5000/iru/node:dev-latest
docker push dev-registry.infoclinica.ru:5000/iru/node:$build_tag
docker push dev-registry.infoclinica.ru:5000/iru/node:dev-latest

docker service update info_node --image dev-registry.infoclinica.ru:5000/iru/node:$build_tag
docker service update info_node-api --image dev-registry.infoclinica.ru:5000/iru/node:$build_tag